;;-*- Mode: Emacs-Lisp -*-   ;Comment that puts emacs into lisp mode
;;Time-stamp: <2002-03-05 21:36:40 bingalls>
;;TABLE OF CONTENTS
;;	Legal
;;	Commentary (Description)
;;	Version History
;;	Code

;;__________________________________________________________________________
;;; Legal:
;;Copyright  1998,2002 Bruce Ingalls bingalls@panix.com
;;See the file emacs/COPYING for license
;;This file is not (yet) part of Emacs nor XEmacs.

;;This distribution is available at <url: http://www.ikoch.de/ >
;;and <url: http://www.sourceforge.net/projects/emacro/ >

;;__________________________________________________________________________
;;;;	Commentary
;;Emacs editor startup file. This is the very first startup file.
;;It is not recommended that you edit this file, except to change 'use-home'.
;;Instead, edit home.el (and perhaps loadpath.el) in the use-home directory.

;;__________________________________________________________________________
;;;	History:	See emacs/ChangeLog

;;__________________________________________________________________________
;;;;	Code
;;Do not change the code below!
;;__________________________________________________________________________
;;The following will improve your emacs file browsing experience:
(autoload 'outline-minor-mode "outline" "automagic index to jump to" t)

;;__________________________________________________________________________
;;Setup Options->EMacro menu to invoke M-x customize
;;Create the Options->emacro group for M-x customize
(defgroup emacro nil "EMacro settings." :group 'emacs)

;;This expands your HOME path
(defcustom emacro-top-dir (concat (expand-file-name "~") "/emacs/")
  "Absolute path where all EMacro files are."
  :group 'emacs
  :type 'string)

;;Tell load-library where to search.
(add-to-list 'load-path emacro-top-dir)
(add-to-list 'load-path (concat emacro-top-dir "emacro/"))

;;__________________________________________________________________________
;;Kick off EMacro
(require 'e-macro)

;;__________________________________________________________________________
;;Do not edit this file! See Commentary above.
;;Note that `M-x customize` could add code below. This is acceptable.
